## LassoLibFederationTerminationNotification LassoLibFederationTerminationNotification — <lib:FederationTerminationNotification> |

## Functions

LassoNode * | lasso_lib_federation_termination_notification_new ()
LassoNode * | lasso_lib_federation_termination_notification_new_full ()

## Types and Values

struct | LassoLibFederationTerminationNotification

## Description

Figure 7. Schema fragment for lib:FederationTerminationNotification

    <xs:element name="FederationTerminationNotification"
        type="FederationTerminationNotificationType"/>
      <xs:complexType name="FederationTerminationNotificationType">
        <xs:complexContent>
          <xs:extension base="samlp:RequestAbstractType">
            <xs:sequence>
              <xs:element ref="Extension" minOccurs="0" maxOccurs="unbounded"/>
              <xs:element ref="ProviderID"/>
              <xs:element ref="saml:NameIdentifier"/>
            </xs:sequence>
          <xs:attribute ref="consent" use="optional"/>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

    <xs:element name="ProviderID" type="md:entityIDType"/>

## Functions

### lasso_lib_federation_termination_notification_new ()

    LassoNode *
    lasso_lib_federation_termination_notification_new
                                   (void);

Creates a new LassoLibFederationTerminationNotification object.

#### Returns

a newly created LassoLibFederationTerminationNotification object

### lasso_lib_federation_termination_notification_new_full ()

    LassoNode *
    lasso_lib_federation_termination_notification_new_full
                                   (char *providerID,
                                    LassoSamlNameIdentifier *nameIdentifier,
                                    LassoSignatureType sign_type,
                                    LassoSignatureMethod sign_method);

Creates a new LassoLibFederationTerminationNotification object and initializes it with the parameters.

#### Parameters

providerID | the provider ID doing the notification |
nameIdentifier | the name identifier for the federation to terminate. |
sign_type | a LassoSignatureType value |
sign_method | a LassoSignatureMethod value |

#### Returns

a newly created LassoLibFederationTerminationNotification object

## Types and Values

### struct LassoLibFederationTerminationNotification

    struct LassoLibFederationTerminationNotification {
    	LassoSamlpRequestAbstract parent;

    	/* <xs:element ref="Extension" minOccurs="0" maxOccurs="unbounded"/> */
    	GList *Extension; /* of xmlNode* */
    	/* <xs:element ref="ProviderID"/> */
    	char *ProviderID;
    	/* <xs:element ref="saml:NameIdentifier"/> */
    	LassoSamlNameIdentifier *NameIdentifier;
    	/* <xs:attribute ref="consent" use="optional"/> */
    	char *consent;

    	char *RelayState; /* not in schema but allowed in redirects */
    };